org.codehaus.plexus.component.repository

## Class ComponentRequirementList

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentRequirement
  - - org.codehaus.plexus.component.repository.ComponentRequirementList

    public class ComponentRequirementList
    extends ComponentRequirement

Created by IntelliJ IDEA.

Since:
  1.0
Version:
  $Id: ComponentRequirementList.java 7828 2008-11-14 22:07:56Z dain $
Author:
  Andrew Williams

### Constructor Summary

Constructors
Constructor and Description
`ComponentRequirementList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getRoleHint()` Returns the role-hint of the required component.
`java.util.List<java.lang.String>` `getRoleHints()`
`void` `setRoleHints(java.util.List<java.lang.String> roleHints)`

### Methods inherited from class org.codehaus.plexus.component.repository.ComponentRequirement

`equals, getFieldMappingType, getFieldName, getHumanReadableKey, getRole, hashCode, setFieldMappingType, setFieldName, setRole, setRoleHint, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentRequirementList

    public ComponentRequirementList()

### Method Detail

#### getRoleHints

    public java.util.List<java.lang.String> getRoleHints()

#### setRoleHints

    public void setRoleHints(java.util.List<java.lang.String> roleHints)

#### getRoleHint

    public java.lang.String getRoleHint()

Description copied from class: `ComponentRequirement`
Returns the role-hint of the required component.

Overrides:
  `getRoleHint` in class `ComponentRequirement`
Returns:
  the role-hint of the required component